import request from '@/utils/request'

export function serviceCaseCover(query) {
  return request({
    url: '/case/cover',
    method: 'get',
    params: query
  })
}

export function addCaseCover(data) {
  return request({
    url: '/case/cover/add',
    method: 'post',
    data
  })
}

export function deleteServiceBatch(data) {
  return request({
    url: '/service/delete',
    method: 'delete',
    data
  })
}

export function getCaseListData(query) {
  return request({
    url: '/case/list',
    method: 'get',
    params: query
  })
}

export function getCaseTypeListData(query) {
  return request({
    url: '/caseType/list',
    method: 'get'
  })
}

export function addCase(data) {
  return request({
    url: '/case/add',
    method: 'post',
    data
  })
}
